import { Rule } from "@angular-devkit/schematics";
export declare class TemplateServiceMethodSchema {
    name: string;
    envFilePath: string;
    serviceName: string;
    path: string;
    apiRoute: string;
    transformationType: "default" | "paging" | "scrolling";
    entityName: string;
    scrollName: string;
    httpMethod: 'get' | 'post' | 'put' | 'patch' | 'delete' | 'options' | 'head';
}
export declare function generateServiceMethodTemplate(options: TemplateServiceMethodSchema): Rule;
